/* Installation of LVM and JFS support on Warp 4                     */
/*                                                                   */
/* For LVM support place the following files in this directory:      */
/* vcu.exe, vcu.msg, lvm.msg, lvmh.msg, lvm.exe, lvm.dll, os2lvm.dmd */
/*                                                                   */
/* For JFS support place the following files in this directory       */
/* ujfs.dll, jfs.msg, jfsh.msg, jfs.ifs, jfschk32.exe                */
/*                                                                   */
/* These files can be found in Wseb, eCS, CP, Wseb fixpak 1          */
/* You must have a Wseb/eCS/CP license to use these files!           */
/*                                                                   */
/* You must have fixpak 13 or higher installed/incorporated          */
/*                                                                   */
/* Last modified 12.02.2000                                          */

parse arg target source

ADDONSLOG = target'\ibminst\logs\addon\Addons.Log'
LVM_DIR   = target'\OS2'
LVM_INST  = source'\UpdCD\ADDONS\25_LVMJS' 

/* check */
if stream(LVM_INST'\lvm.exe', 'c', 'query exists') = '' then exit

'ECHO 'time()' - LVM_JFS Start >>'ADDONSLOG

/* copy LVM files */
'copy 'LVM_INST'\vcu.exe      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\vcu.msg      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\lvm.msg      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\lvmh.msg     'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\lvm.exe      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\lvm.dll      'LVM_DIR'\DLL\.  >> 'ADDONSLOG
'copy 'LVM_INST'\os2lvm.dmd   'LVM_DIR'\BOOT\. >> 'ADDONSLOG

/* load config.sys */
cfgfile = target'\config.sys'
q = 1
do while lines(cfgfile)
	l.q = linein(cfgfile)
	q = q+1
end
rc = lineout(cfgfile)
l.0 = q-1

/* backup config.sys */
'copy 'cfgfile target'\config.lvm' 
'del 'cfgfile

/* write new config.sys */
gevonden = 0
do q=1 to l.0
	if pos('BASEDEV=OS2DASD.DMD', translate(l.q)) > 0 & gevonden = 0 then do
		/* add driver */
		rc = lineout(cfgfile, ' ')
		rc = lineout(cfgfile, 'REM UpdCD')
		rc = lineout(cfgfile, 'BASEDEV=OS2LVM.DMD')
		gevonden = 1
	end
	rc = lineout(cfgfile, l.q)
end
rc = lineout(cfgfile)

/* check */
if stream(LVM_INST'\jfs.ifs', 'c', 'query exists') = '' then do
	'ECHO 'TIME()' - LVM_JFS End >> 'ADDONSLOG
	exit
end

/* copy JFS files */
'copy 'LVM_INST'\ujfs.dll     'LVM_DIR'\DLL\.  >> 'ADDONSLOG
'copy 'LVM_INST'\jfs.msg      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\jfsh.msg     'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\jfs.ifs      'LVM_DIR'\.      >> 'ADDONSLOG
'copy 'LVM_INST'\jfschk32.exe 'LVM_DIR'\.      >> 'ADDONSLOG

/* load config.sys */
cfgfile = target'\config.sys'
q = 1
do while lines(cfgfile)
	l.q = linein(cfgfile)
	q = q+1
end
rc = lineout(cfgfile)
l.0 = q-1

/* backup config.sys */
'copy 'cfgfile target'\config.jfs' 
'del 'cfgfile

/* write new config.sys */
gevonden = 0
do q=1 to l.0
	if pos('BASEDEV=OS2LVM.DMD', translate(l.q)) > 0 & gevonden = 0 then do
		/* add driver */
		rc = lineout(cfgfile, 'IFS='target'\OS2\JFS.IFS /AUTOCHECK:* /CACHE:1024')
		gevonden = 1
	end
	rc = lineout(cfgfile, l.q)
end
rc = lineout(cfgfile)

'ECHO 'TIME()' - LVM_JFS End >> 'ADDONSLOG

